# $Revision: 1.22 $, $Date: 2005/06/11 07:50:21 $
# ToDo:
# - include /usr/bin/part and /usr/bin/tkpp or not?
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PAR
Summary:	Perl Archive Toolkit
Summary(pl):	Zestaw narzdzi perlowych do archiwizacji
Name:		perl-PAR
Version:	0.89
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	eba28e8a048c3107025f96f825ffd303
URL:		http://par.perl.org
BuildRequires:	perl-Archive-Zip >= 1.00
%if %{with tests}
BuildRequires:	perl-Compress-Zlib >= 1.30
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-Module-ScanDeps >= 0.45
BuildRequires:	perl-Module-Signature >= 0.35
%endif
BuildRequires:	perl-PAR-Dist >= 0.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl(DynaLoader) = %(%{__perl} -MDynaLoader -e 'print DynaLoader->VERSION')
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl Archive Toolkit:
- Do what JAR (Java Archive) does for Perl
- Platform-independent, compressed file format (zip)
- Aggregates modules, scripts and other files into one file
- Easy to generate, update and extract
Benefits of using PAR:
- Reduced download and deployment time
- Saves disk space by compression and selective packaging
- Version consistency: solves forward-compatibility problems
- Community support: par@perl.org
You can also turn a PAR file into a self-contained script
- Bundles all necessary 3rd-party modules with it
- Requires only core Perl to run on the target machine
- If you use pp to compile the script...
- ...you get an executable not even needing core Perl

%description -l pl
Perl Archive Toolkit:
- robi to samo, co JAR (archiwizator Javy), ale dla Perla
- uywa niezalenego od platformy, formatu pliku skompresowanego (zip)
- integruje w jeden plik moduy, skrypty i inne pliki
- pliki PAR s atwe do wygenerowania, aktualizacji i rozpakowania
Korzyci pynce ze stosowania PAR:
- skrcenie czasu pobierania i wdroenia programu
- oszczdno miejsca na dysku wynikajca z kompresji i wybirczego
  pakietowania
- spjno wersji: rozwizuje problemy zgodnoci w przd
- wsparcie zespou: par@perl.org
Mona rwnie przeksztaci plik PAR w skrypt zawierajcy pakiet
- czy w sobie wszystkie niezbdne obce moduy
- wymaga do uruchomienia na maszynie docelowej jedynie podstawowego
  Perla
- przy wykorzystaniu pp do kompilacji skryptu...
- ...dostaje si program uruchamialny nie wymagajcy nawet
  podstawowego Perla

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--skipdeps	# make ExtUtils::Autoinstall non-interactive

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS TODO
%{perl_vendorlib}/PAR.pm
%{perl_vendorlib}/PAR/*
%{perl_vendorlib}/App/*/*.pm
%exclude %{perl_vendorlib}/PAR/*.pod
%{_mandir}/man?/*
%attr(755,root,root) %{_bindir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PAR.spec,v $
Revision 1.22  2005/06/11 07:50:21  ankry
- up to 0.89; fixed deps and %files

Revision 1.21  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.20  2004/11/20 15:55:26  radek
- release 2: require DynaLoader in version available at build time

Revision 1.19  2004/11/03 22:30:38  paladine
- formatting

Revision 1.18  2004/08/08 19:11:53  adamg
- updated to 0.85

Revision 1.17  2004/08/01 23:22:03  ankry
- removed dir belonging to perl-base, rel. 3

Revision 1.16  2004/06/14 07:52:10  radek
- release 2: include App::Packer::PAR and two missing files in %_bindir

Revision 1.15  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.14  2004/06/02 10:21:01  radek
- perl-PAR-Dist is required if --without tests

Revision 1.13  2004/05/30 08:58:36  adamg
- updated to 0.83

Revision 1.12  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.11  2004/05/06 18:43:20  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.9  2004/04/11 08:01:49  agaran
 - updated to 0.80

Revision 1.8  2004/02/13 12:44:41  migo
- up to 0.79
- simplified %files, cosmetics

Revision 1.7  2003/10/29 21:53:38  migo
- added missing BRs

Revision 1.6  2003/10/29 21:42:47  migo
- up to 0.76
- new bcond style
- don't ask stupid questions and don't assume stupid answers
- added missing files

Revision 1.5  2003/09/27 21:03:03  migo
- fixes in description

Revision 1.4  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.3  2003/09/25 21:34:43  migo
- up to 0.75

Revision 1.2  2003/09/08 20:58:09  ankry
- md5

Revision 1.1  2003/09/08 19:22:36  migo
- initial revision
